var gameEndRankSkin=gameEndRankSkin||{};
gameEndRankSkin.RankListItem=function(){
	var s = this;
	F2xContainer.call(s);
	s.initUI();
};
F2xExtend(gameEndRankSkin.RankListItem,F2xContainer);
gameEndRankSkin.RankListItem.prototype.initUI=function(){
	var s = this;
	//f2x_auto_created_init_start
	var _d4=Flash2x.t(0,decodeURI("%E6%9C%80%E9%AB%98%E5%88%86"),30,"#000000","Microsoft YaHei",0,0,99,39.6,41.6,"right",false,true,"single",false);
	_d4.name="scoreName";
	s.scoreName=_d4;
	Flash2x.d(_d4,{x:407,y:354});
	var _d3=Flash2x.t(0,decodeURI("%E7%94%A8%E6%88%B7ID"),30,"#000000","Microsoft YaHei",0,0,122,39.6,41.6,"center",false,true,"single",false);
	Flash2x.d(_d3,{x:184,y:354});
	var _d2=Flash2x.t(0,decodeURI("%E5%90%8D%E6%AC%A1"),30,"#000000","Microsoft YaHei",0,0,74,39.6,41.6,"left",false,true,"single",false);
	Flash2x.d(_d2,{x:2,y:354});
	var _d1=Flash2x.t(0,decodeURI("%E4%B8%AD%E5%A5%96%E5%90%8D%E5%8D%95"),30,"#000000","Microsoft YaHei",0,0,506,39.6,41.6,"center",false,true,"single",false);
	Flash2x.d(_d1,{x:2,y:304});
	var _d0=Flash2x.t(0,decodeURI("OPPO%20R9S%EF%BC%9A"),30,"#C62727","Microsoft YaHei",0,0,506,39.6,41.6,"left",false,true,"single",false);
	_d0.name="nameTxt";
	s.nameTxt=_d0;
	Flash2x.d(_d0,{x:2,y:2});
	s.addChild(_d0);
	s.addChild(_d1);
	s.addChild(_d2);
	s.addChild(_d3);
	s.addChild(_d4);
	//f2x_auto_created_init_end
	
};
